{{! template-lint-disable require-input-label }}
<div class="content-text content-text--small">
  <form class="form" {{on "submit" this.createStages}}>
    {{#if this.hasStages}}
      {{#if this.displayNoZeroStage}}
        <PixMessage type="warning">
          Attention ! Il n'y a pas de palier à 0
        </PixMessage>
      {{/if}}
      <div class="table-admin">
        <table class="stages-table">
          <thead>
            <tr>
              <th class="stages-table__type">{{this.columnNameByStageType}}</th>
              <th class="stages-table__title">Titre</th>
              <th>Message</th>
              <th>Titre prescripteur</th>
              <th>Description prescripteur</th>
              <th class="stages-table__actions">Actions</th>
            </tr>
          </thead>
          <tbody>
            {{#each @stages as |stage|}}
              {{#if stage.isNew}}
                <TargetProfiles::Stages::NewStage
                  @imageUrl={{@targetProfile.imageUrl}}
                  @title={{stage.title}}
                  @isTypeLevel={{stage.isTypeLevel}}
                  @maxLevel={{@targetProfile.maxLevel}}
                  @threshold={{stage.threshold}}
                  @level={{stage.level}}
                  @setLevel={{fn this.onStageLevelChange stage}}
                  @message={{stage.message}}
                  @errors={{stage.errors}}
                  @remove={{fn this.removeStage stage}}
                />
              {{else}}
                <TargetProfiles::Stages::Stage
                  @imageUrl={{@targetProfile.imageUrl}}
                  @targetProfileId={{@targetProfile.id}}
                  @id={{stage.id}}
                  @title={{stage.title}}
                  @isTypeLevel={{stage.isTypeLevel}}
                  @threshold={{stage.threshold}}
                  @level={{stage.level}}
                  @message={{stage.message}}
                  @hasPrescriberTitle={{stage.hasPrescriberTitle}}
                  @hasPrescriberDescription={{stage.hasPrescriberDescription}}
                />
              {{/if}}
            {{/each}}
          </tbody>
        </table>
      </div>
    {{else}}
      <div class="table__empty">Aucun palier associé</div>
    {{/if}}
    {{#if this.mustChooseStageStype}}
      <PixRadioButton
        name="stageType"
        @label="Palier par seuil"
        @value="threshold"
        checked={{this.isStageTypeThresholdChecked}}
        {{on "change" this.onStageTypeChange}}
      />
      <PixRadioButton
        name="stageType"
        @label="Palier par niveau"
        @value="level"
        checked={{this.isStageTypeLevelChecked}}
        {{on "change" this.onStageTypeChange}}
      />
    {{/if}}
    <PixButton
      class="stages-new-stage pix-button__secondary"
      @backgroundColor="transparent-light"
      @isBorderVisible={{true}}
      @triggerAction={{this.addStage}}
      @isDisabled={{this.isAddStageDisabled}}
    >
      <FaIcon @icon="plus" />Nouveau palier
    </PixButton>
    {{#if this.hasNewStage}}
      <div class="stages-actions form-actions">
        <PixButton
          @backgroundColor="transparent-light"
          @isBorderVisible={{true}}
          @triggerAction={{this.cancelStagesCreation}}
        >
          Annuler
        </PixButton>
        <PixButton type="submit" @backgroundColor="green" @triggerAction={{this.createStages}}>
          Enregistrer
        </PixButton>
      </div>
    {{/if}}
  </form>
</div>